Uploaded image for project: 'Documentation'
  1. Documentation
  2. DOCS-14470

Investigate changes in SERVER-56925: Remove requireApiVersion server parameter?

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Major - P3
    • Resolution: Works as Designed
    • None
    • 5.0.0-rc0
    • manual, Server
    • None

    Description

      Description

      Downstream Change Summary

      The mongod/s server parameter requireApiVersion is now test-only (must be combined with setParameter enableTestCommands=1). It's only for internal MongoDB use for testing drivers etc., we shouldn't document it, and we're not using it in Atlas. None of our products need to be compatible with a server that has requireApiVersion enabled.

      Description of Linked Ticket

      We decided not to use the requireApiVersion parameter in Atlas, so let's consider removing it. Update: we decided not to remove it, but to make it test-only.

      Scope of changes

      Impact to Other Docs

      MVP (Work and Date)

      Resources (Scope or Design Docs, Invision, etc.)

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              backlog-server-pm Backlog - Core Eng Program Management Team
              Jeffrey Allen Jeffrey Allen
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:
                1 year, 18 weeks, 6 days ago